%define ver      2.1.pre1
%define rel      1
%define prefix   /

Summary: UdmSearch - search engine over intranet/small internet domain
Name: UdmSearch
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Internet
Source: ftp://ftp.izhcom.ru/pub/unix/UdmSearch/UdmSearch-%{ver}.tar.gz
BuildRoot: /tmp/UdmSearch-%{ver}
Packager: Kir Kolyshkin <kir@sgp.sever.ru>
URL: http://search.udm.net/about/
Docdir: %{prefix}/usr/doc
Requires: mysql
%description

UdmSearch is a MySQL based search engine over the web.
UdmSearch consists of two parts. The first part is indexing mechanism (indexer).
Indexer walks over html hypertext references and stores found words and
new references into mysql database. The second part is cgi program
(search.cgi or search.php3 if you prefer php) to find words using
data created by indexer.

Main features are:
* HTTP support
* proxy support
* FTP via proxy support
* text/html with <a href="">,<area href=""> and <frame src="">
  and text/plain support
* morphology support (e.g. it can search for all of the word forms)
* basic authorization support. One could easy index password protected
  intranet HTTP servers.
* it's reenterant. One could use several indexing processes at the same time.
* stop-list support
* flexible configurability of indexed url
* <MATA NAME="robots" content="..."> and robots.txt support
* both C cgi and PHP3 support
* boolean query language support
* best documents are found first
* it's very fast (thanks Monty for greatest database)
* different character sets support

%changelog

%prep
%setup
%build
./configure --prefix=/usr --sysconfdir=/etc --sbindir=/usr/bin --bindir=/home/httpd/html/UdmSearch
make

%install

make prefix="$RPM_BUILD_ROOT/usr" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS BUGS COPYING CREDITS ChangeLog FAQ INSTALL NEWS README
%doc doc/README.templates doc/README.templates.ru TODO doc/UdmSearch.sgml

%config etc/udmsearch.conf-dist etc/parsers.conf-dist etc/search.htm-dist

%{prefix}/usr/bin/*
%{prefix}/home/httpd/html/UdmSearch/*
%{prefix}/usr/man/man1/*
%{prefix}/usr/man/man5/*
